package app.data.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Getter
@Setter
@Entity
@Table(name = "game",
        schema = "public",
        catalog = "chessleague")
public class Game extends AbstractEntity {

    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "match",
            referencedColumnName = "id",
            nullable = false)
    private Match match;

    @Basic
    @Column(name = "player1_is_white",
            nullable = false)
    private Boolean player1IsWhite;

    @Basic
    @Column(name = "result",
            nullable = false)
    private Integer result;

    @OneToOne(cascade = CascadeType.ALL)
    @JoinColumn(name = "info",
            referencedColumnName = "id")
    private GameInfo gameInfo;
}
