package app.data.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Getter
@Setter
@Entity
@Table(name = "game_info",
        schema = "public",
        catalog = "chessleague")
public class GameInfo extends AbstractEntity {

    @OneToOne(mappedBy = "gameInfo",
            cascade = CascadeType.DETACH)
    private Game game;

    @Basic
    @Column(name = "chess_com_id")
    private String chessComId;

    @Basic
    @Column(name = "time_control",
            nullable = false)
    private String timeControl;

    @Basic
    @Column(name = "fen",
            nullable = false)
    private String fen;

    @Basic
    @Column(name = "end_time") // TODO: make not nullable (you need the end times of the first matchday for that...)
    private Long endTime;

    @Basic
    @Column(name = "pgn")
    private String pgn;

    @Basic
    @Column(name = "rated")
    private Boolean rated;

    @Basic
    @Column(name = "time_class")
    private String timeClass;

    @Basic
    @Column(name = "rules")
    private String rules;

    @Basic
    @Column(name = "white_rating")
    private Integer whiteRating;

    @Basic
    @Column(name = "black_rating")
    private Integer blackRating;

    @Basic
    @Column(name = "white_result")
    private String whiteResult;

    @Basic
    @Column(name = "black_result")
    private String blackResult;
}
