package app.data.entity;

import app.navigation.Navigable;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Collection;

@Getter
@Setter
@Entity
@Table(name = "match",
        schema = "public",
        catalog = "chessleague")
public class Match extends AbstractEntity implements Navigable {

    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "matchday",
            referencedColumnName = "id",
            nullable = false)
    private Matchday matchday;

    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "player1",
            referencedColumnName = "id",
            nullable = false)
    private Player player1;

    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "player2",
            referencedColumnName = "id",
            nullable = false)
    private Player player2;

    @OneToMany(mappedBy = "match",
            fetch = FetchType.EAGER,
            cascade = CascadeType.ALL,
            orphanRemoval = true)
    private Collection<Game> games;
}
