package app.data.entity;

import app.navigation.Navigable;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Collection;

@Getter
@Setter
@Entity
@Table(name = "matchday",
        schema = "public",
        catalog = "chessleague")
public class Matchday extends AbstractEntity implements Navigable {

    @ManyToOne(cascade = CascadeType.DETACH)
    @JoinColumn(name = "season",
            referencedColumnName = "id",
            nullable = false)
    private Season season;

    @Basic
    @Column(name = "number", nullable = false)
    private Integer number;

    @OneToMany(mappedBy = "matchday",
            fetch = FetchType.EAGER,
            cascade = CascadeType.ALL,
            orphanRemoval = true)
    private Collection<Match> matches;
}
