package app.data.entity;

import app.navigation.Navigable;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Collection;

@Getter
@Setter
@Entity
@Table(name = "player",
        schema = "public",
        catalog = "chessleague")
public class Player extends AbstractEntity implements Navigable {

    @Basic
    @Column(name = "name",
            nullable = false)
    private String name;

    @Basic
    @Column(name = "nickname",
            nullable = false)
    private String nickname;

    @OneToMany(mappedBy = "player1",
            cascade = CascadeType.DETACH)
    private Collection<Match> matchesAsPlayer1;

    @OneToMany(mappedBy = "player2",
            cascade = CascadeType.DETACH)
    private Collection<Match> matchesAsPlayer2;

    @OneToOne(cascade = CascadeType.ALL)
    @JoinColumn(name = "info",
            referencedColumnName = "id")
    private PlayerInfo playerInfo;
}