package app.data.entity;

import app.navigation.Navigable;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.Collection;

@Getter
@Setter
@Entity
@Table(name = "season",
        schema = "public",
        catalog = "chessleague")
public class Season extends AbstractEntity implements Navigable {

    @Basic
    @Column(name = "year_start",
            nullable = false)
    private Integer yearStart;

    @Basic
    @Column(name = "year_end",
            nullable = false)
    private Integer yearEnd;

    @Basic
    @Column(name = "week_of_first_matchday",
            nullable = false)
    private Integer weekOfFirstMatchday;

    @Basic
    @Column(name = "first_weekday_of_matchday",
            nullable = false)
    private Integer firstWeekdayOfMatchday;

    @Basic
    @Column(name = "last_weekday_of_matchday",
            nullable = false)
    private Integer lastWeekdayOfMatchday;

    @Basic
    @Column(name = "weekday_of_view_change",
            nullable = false)
    private Integer weekdayOfViewChange;

    @OneToMany(mappedBy = "season",
            fetch = FetchType.EAGER,
            cascade = CascadeType.ALL,
            orphanRemoval = true)
    private Collection<Matchday> matchdays;
}
