package app.navigation;

import com.vaadin.flow.component.orderedlayout.FlexComponent;
import com.vaadin.flow.component.orderedlayout.HorizontalLayout;

public abstract class NavigationHeader<T extends Navigation> extends HorizontalLayout {
    protected final T navigation;

    public NavigationHeader(T navigation) {
        this.navigation = navigation;
        defineLayout();
        defineChildren();
    }

    private void defineLayout() {
        setWidthFull();
        setAlignItems(FlexComponent.Alignment.CENTER);
        setJustifyContentMode(FlexComponent.JustifyContentMode.END);
    }

    protected abstract void defineChildren();
}
