package app.navigation;

import app.utils.EntityStringUtils;
import org.springframework.lang.NonNull;

import java.util.List;
import java.util.Optional;

public class NavigationUtils {
    public static final String EDIT = "edit";

    private NavigationUtils() {
    }

    @NonNull
    public static String getWildcardParam(boolean editFlag, String... params) {
        StringBuilder stringBuilder = new StringBuilder();
        for (String param : params) {
            if (param == null || param.equals("")) {
                break;
            }
            stringBuilder.append(param).append("/");
        }
        if (editFlag) stringBuilder.append(EDIT).append("/");
        return stringBuilder.toString();
    }

    public static <T extends Navigable> Optional<T> getObjectFromParam(List<T> objectList, String param) {
        return objectList.stream()
                .filter(object -> EntityStringUtils.getObjectStringForURL(object).equals(param))
                .findFirst();
    }
}
