package app.navigation.match;

import app.data.service.MatchService;
import app.data.service.MatchdayService;
import app.data.service.SeasonService;
import app.navigation.NavigationHeader;
import app.navigation.NavigationService;
import app.navigation.match.components.MatchNavigationHeader;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MatchNavigationService implements NavigationService<MatchNavigation> {

    private final SeasonService seasonService;
    private final MatchdayService matchdayService;
    private final MatchService matchService;

    public MatchNavigationService(@Autowired SeasonService seasonService,
                                  @Autowired MatchdayService matchdayService,
                                  @Autowired MatchService matchService) {
        this.seasonService = seasonService;
        this.matchdayService = matchdayService;
        this.matchService = matchService;
    }

    @Override
    public MatchNavigation getNewNavigation() {
        return new MatchNavigation(seasonService, matchdayService, matchService);
    }

    @Override
    public NavigationHeader<MatchNavigation> getNewNavigationHeader(MatchNavigation navigation) {
        return new MatchNavigationHeader(navigation);
    }

}
