package app.navigation.matchday.components.button;

import app.data.entity.Matchday;
import app.navigation.matchday.MatchdayNavigation;
import com.vaadin.flow.component.button.Button;
import com.vaadin.flow.component.icon.VaadinIcon;

import java.util.Optional;

public class PrevMatchdayButton extends Button {

    private final MatchdayNavigation matchdayNavigation;

    public PrevMatchdayButton(MatchdayNavigation matchdayNavigation) {
        this.matchdayNavigation = matchdayNavigation;

        setIcon(VaadinIcon.ARROW_LEFT.create());

        matchdayNavigation.addRunnableToBeRunAfterSelection(this::configure);
    }

    private void configure() {
        Optional<Matchday> prevMatchday = getPrevMatchday();
        setEnabled(prevMatchday.isPresent());
        addClickListener(event -> prevMatchday.ifPresent(matchday -> matchdayNavigation.getMatchdaySelect().setValue(matchday)));
    }

    private Optional<Matchday> getPrevMatchday() {
        int index = MatchdayButtonUtils.getMatchdayIndex(matchdayNavigation);
        if (index > 0) return Optional.ofNullable(matchdayNavigation.getMatchdayList().get(index - 1));
        return Optional.empty();
    }
}
