package app.navigation.player;

import app.data.service.PlayerService;
import app.data.service.SeasonService;
import app.navigation.NavigationHeader;
import app.navigation.NavigationService;
import app.navigation.player.components.PlayerNavigationHeader;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PlayerNavigationService implements NavigationService<PlayerNavigation> {

    private final PlayerService playerService;
    private final SeasonService seasonService;

    public PlayerNavigationService(@Autowired PlayerService playerService,
                                   @Autowired SeasonService seasonService) {
        this.playerService = playerService;
        this.seasonService = seasonService;
    }

    @Override
    public PlayerNavigation getNewNavigation() {
        return new PlayerNavigation(playerService, seasonService);
    }

    @Override
    public NavigationHeader<PlayerNavigation> getNewNavigationHeader(PlayerNavigation navigation) {
        return new PlayerNavigationHeader(navigation);
    }
}
