package app.utils;

import app.data.entity.Game;
import app.data.entity.Match;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class MatchUtils {
    public static Map<TimeControl, List<Game>> getGamesMap(Match match) {
        Map<TimeControl, List<Game>> map = createEmptyGamesMap();

        for (Game game : match.getGames()) {
            TimeControl timeControl = TimeControl.fromSecondsString(game.getGameInfo().getTimeControl());
            map.get(timeControl).add(game);
        }
        return map;
    }

    public static Map<TimeControl, List<Game>> createEmptyGamesMap() {
        Map<TimeControl, List<Game>> map = new HashMap<>();
        for (TimeControl key : TimeControl.values()) {
            map.put(key, new ArrayList<>());
        }
        return map;
    }
}
