package app.utils;

import org.apache.commons.lang3.RandomStringUtils;

import java.util.HashSet;
import java.util.Set;

public class StringUtils {
    private StringUtils() {
    }

    ////////////////////////
    // SPECIAL FORMATTING //
    ////////////////////////

    public static String getResultString(String delimiter, Double first, Double second) {
        String firstString = first.toString().replace(".0", "");
        String secondString = second.toString().replace(".0", "");
        String result = String.format("%s %s %s", firstString, delimiter, secondString);
        if (result.equals("0 : 0")) { // TODO: care about delimiter
            return "- : -";
        }
        return result;
    }

    public static String getSignedString(Double aDouble) {
        String string = aDouble.toString().replace(".0", "");
        return aDouble > 0 ? "+" + string : string;
    }

    public static String getHtmlStringForPlayer(String playerName, String playerNickname) {
        return String.format("%s (%s)", getBoldHtmlString(playerName), playerNickname);
    }

    public static String getBoldHtmlString(String string) {
        return String.format("<b>%s</b>", string);
    }

    public static String getTemplateItemString(String propertyName) {
        return String.format("[[item.%s]]", propertyName);
    }

    ////////////////
    // RANDOMNESS //
    ////////////////

    private static final int RANDOM_STRING_LENGTH = 10;
    private static final Set<String> usedRandomStrings = new HashSet<>();

    public static String getNewRandomString() {
        String randomString = getRandomString();
        while (usedRandomStrings.contains(randomString)) {
            randomString = getRandomString();
        }
        usedRandomStrings.add(randomString);
        return randomString;
    }

    private static String getRandomString() {
        return RandomStringUtils.randomAlphabetic(RANDOM_STRING_LENGTH);
    }

}
