package app.utils;

public enum TimeControl {
    TEN_MINUTES,
    FIVE_MINUTES,
    THREE_MINUTES;

    public static TimeControl fromSecondsString(String secondsString) {
        switch (secondsString) {
            case "600":
                return TEN_MINUTES;
            case "300":
                return FIVE_MINUTES;
            case "180":
                return THREE_MINUTES;
            default:
                throw new UnsupportedOperationException(String.format("%s cannot be converted to a TimeControl!", secondsString));
        }
    }

    public String toSecondsString() {
        switch (this) {
            case TEN_MINUTES:
                return "600";
            case FIVE_MINUTES:
                return "300";
            case THREE_MINUTES:
                return "180";
            default:
                throw new UnsupportedOperationException(String.format("Cannot convert %s to a secondsString!", this.toString()));
        }
    }

    public static String toSecondsString(TimeControl timeControl) {
        return timeControl.toSecondsString();
    }

    public static TimeControl fromPresentationString(String presentationString) {
        switch (presentationString) {
            case "10 min":
                return TEN_MINUTES;
            case "5 min":
                return FIVE_MINUTES;
            case "3 min":
                return THREE_MINUTES;
            default:
                throw new UnsupportedOperationException(String.format("%s cannot be converted to a TimeControl!", presentationString));
        }
    }

    public String toPresentationString() {
        switch (this) {
            case TEN_MINUTES:
                return "10 min";
            case FIVE_MINUTES:
                return "5 min";
            case THREE_MINUTES:
                return "3 min";
            default:
                throw new UnsupportedOperationException(String.format("Cannot convert %s to a presentationString!", this.toString()));
        }
    }
}
