package app.views.matchday;

import app.navigation.matchday.MatchdayNavigation;
import app.navigation.matchday.MatchdayNavigationService;
import app.views.main.MainView;
import app.views.matchday.components.MatchdayCard;
import app.views.navigation.NavigationViewBase;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/matchday/matchday-view.css")
@Route(value = "matchday", layout = MainView.class)
@PageTitle("Schachliga DACH - Results - Matchdays")
public class MatchdayView extends NavigationViewBase<MatchdayNavigation> {

    private MatchdayCard matchdayCard;

    public MatchdayView(@Autowired MatchdayNavigationService matchNavigationService) {
        super(matchNavigationService, "matchday");

        addClassName("matchday-view");

        defineLayout();
    }

    ////////////
    // LAYOUT //
    ////////////

    private void defineLayout() {
        matchdayCard = new MatchdayCard((MatchdayNavigation) navigation);
        add(matchdayCard);
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
        matchdayCard.configureContent();
    }
}
