package app.views.player;

import app.navigation.player.PlayerNavigation;
import app.navigation.player.PlayerNavigationService;
import app.views.main.MainView;
import app.views.navigation.NavigationViewBase;
import app.views.player.components.PlayerCard;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;
import org.springframework.beans.factory.annotation.Autowired;

@CssImport("app/views/player/player-view.css")
@Route(value = "player", layout = MainView.class)
@PageTitle("Schachliga DACH - Players")
public class PlayerView extends NavigationViewBase<PlayerNavigation>{

    private PlayerCard playerCard;

    protected PlayerView(@Autowired PlayerNavigationService playerNavigationService) {
        super(playerNavigationService, "player");

        addClassName("player-view");

        defineLayout();
    }

    ////////////
    // LAYOUT //
    ////////////

    private void defineLayout() {
        playerCard = new PlayerCard((PlayerNavigation) navigation);
        add(playerCard);
    }

    /////////////
    // CONTENT //
    /////////////

    @Override
    protected void configureContent() {
        playerCard.configureContent();
    }
}
